import * as React from 'react';
import { IModalFormProps as ICoreModalFormProps } from '@reactionable/core';
import { IFormProps } from '../form/Form';
import { IModalProps } from './Modal';
export declare type IModalFormProps<Values, Data> = IModalProps & Pick<ICoreModalFormProps<Values, Data>, 'submitButton'> & {
    form: Omit<IFormProps<Values, Data>, 'title'>;
};
export declare type ModalFormComponent<Values = any, Data = any> = React.FC<IModalFormProps<Values, Data>>;
export declare const ModalForm: ModalFormComponent;
export declare type IUseModalFormProps<Values, Data> = React.PropsWithChildren<IModalFormProps<any, any>>;
export declare function useModalForm<P extends IUseModalFormProps<any, any>>(props: P): import("@reactionable/core").IUseModalResult;
